summaryrefslogtreecommitdiffstats
path: root/desktop/wmctrl
diff options
context:
space:
mode:
author Vasilis Papavasileiou2010-05-11 14:03:48 +0200
committer Robby Workman2010-05-11 14:03:48 +0200
commitb1378a33a674f1964378148ed95d9d2f994d7019 (patch)
treee2e831ceba6bf8a597117f859127d81c3ea5bdb0 /desktop/wmctrl
parente0046f8735198521daa18a5a5efd9466b5bd69fe (diff)
downloadslackbuilds-b1378a33a674f1964378148ed95d9d2f994d7019.tar.gz
desktop/wmctrl: Initial import
Diffstat (limited to 'desktop/wmctrl')
-rw-r--r--desktop/wmctrl/README12
-rw-r--r--desktop/wmctrl/slack-desc11
-rw-r--r--desktop/wmctrl/wmctrl.SlackBuild59
-rw-r--r--desktop/wmctrl/wmctrl.info8
4 files changed, 90 insertions, 0 deletions
diff --git a/desktop/wmctrl/README b/desktop/wmctrl/README
new file mode 100644
index 0000000000..353e7107db
--- /dev/null
+++ b/desktop/wmctrl/README
@@ -0,0 +1,12 @@
+wmctrl is a command line tool to interact with an EWMH/NetWM compatible
+X Window Manager.
+
+The wmctrl program is a command line tool to interact with an EWMH / NetWM
+compatible X Window Manager. It provides command line access to almost all
+of the features defined in the EWMH specification. It's possible to, for
+example, obtain information about the window manager, get a detailed list
+of desktops and managed windows, switch and resize desktops, change the
+number of desktops, make windows full-screen, always-above, or sticky, and
+activate, close, move, resize, maximize, and minimize them. The command line
+access makes it easy to automate these tasks and execute them from any
+application that is able to run a command in response to some event.
diff --git a/desktop/wmctrl/slack-desc b/desktop/wmctrl/slack-desc
new file mode 100644
index 0000000000..697fdf4d73
--- /dev/null
+++ b/desktop/wmctrl/slack-desc
@@ -0,0 +1,11 @@
+wmctrl: wmctrl (tool to interact with an X Window Manager)
+wmctrl:
+wmctrl: The wmctrl program is a command line tool to interact with an
+wmctrl: EWMH/NetWM-compatible X Window Manager. It provides command line
+wmctrl: access to almost all the features defined in the EWMH specification.
+wmctrl:
+wmctrl: Homepage: http://sweb.cz/tripie/utils/wmctrl
+wmctrl:
+wmctrl:
+wmctrl:
+wmctrl:
diff --git a/desktop/wmctrl/wmctrl.SlackBuild b/desktop/wmctrl/wmctrl.SlackBuild
new file mode 100644
index 0000000000..8d6b180c79
--- /dev/null
+++ b/desktop/wmctrl/wmctrl.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for wmctrl
+# Written by Vasilis Papavasileiou <el03020 at mail dot ntua dot gr>
+# Modified by the SlackBuilds.org project
+# (assumed to be public domain per our submission policy)
+
+PRGNAM=wmctrl
+VERSION=1.07
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/wmctrl/wmctrl.info b/desktop/wmctrl/wmctrl.info
new file mode 100644
index 0000000000..dcecb913e2
--- /dev/null
+++ b/desktop/wmctrl/wmctrl.info
@@ -0,0 +1,8 @@
+PRGNAM="wmctrl"
+VERSION="1.07"
+HOMEPAGE="http://sweb.cz/tripie/utils/wmctrl"
+DOWNLOAD="http://sweb.cz/tripie/utils/wmctrl/dist/wmctrl-1.07.tar.gz"
+MD5SUM="1fe3c7a2caa6071e071ba34f587e1555"
+MAINTAINER="Vasilis Papavasileiou"
+EMAIL="el03020@mail.ntua.gr"
+APPROVED="rworkman"